<?php 
//incluir la conexion de base de datos
require "../config/Conexion3.php";
class Empresa{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
//insertar($nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$imagen);
public function insertar($nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$imagen,$licenciadelicor){
	$sql="INSERT INTO empresa (nombre,tipo_documento,num_documento,direccion,telefono,email,imagen,condicion,licenciadelicor) 
	VALUES ('$nombre','$tipo_documento','$num_documento','$direccion','$telefono','$email','$imagen','1','licenciadelicor')";
	//echo $sql;
	return ejecutarConsulta($sql);
}


public function insertar_venta($idempresa1,$nrofactura,$nrocontrol,$nropedido,$nronotacredito,$nrocontrolnotacredito,$nronotaentrega,$nrocontrolnotaentrega,$nronotaentrega2,$nrocontrolnotaentrega2,$idusuario,$idusuario2){
	$sql="INSERT INTO empresa_venta (idempresa,nrofactura,nrocontrol,nropedido,nronotacredito,nrocontrolnotacredito,nronotaentrega,nrocontrolnotaentrega,nronotaentrega2,nrocontrolnotaentrega2,idusuario,idusuario2) 
	VALUES ('$idempresa1','$nrofactura','$nrocontrol','$nropedido','$nronotacredito','$nrocontrolnotacredito','$nronotaentrega','$nrocontrolnotaentrega','$nronotaentrega2','$nrocontrolnotaentrega2','$idusuario','$idusuario2')";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function insertar_tasacambio($idempresa2,$tasa_dollar,$tasa_euro){
	$sql="INSERT INTO empresa_tasacambio (idempresa,tasa_dollar,tasa_euro) 
	VALUES ('$idempresa2','$tasa_dollar','$tasa_euro')";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function insertar_impuesto($idempresa3,$iva,$aduanero,$impuestoart18,$porcentajeprecio){
	$sql="INSERT INTO empresa_impuestos (idempresa,iva,aduanero,impuestoart18,porcentajeprecio) 
	VALUES ('$idempresa3','$iva','$aduanero','$impuestoart18','$porcentajeprecio')";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function insertar_datosadicionales($idempresa5,$paisdeorigen){
	$sql="INSERT INTO empresa_datosadicionales (idempresa,paisdeorigen) 
	VALUES ('$idempresa5','$paisdeorigen')";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function editar($idempresa,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$imagen,$licenciadelicor){
	$sql="UPDATE empresa SET nombre='$nombre',tipo_documento='$tipo_documento',num_documento='$num_documento',
	direccion='$direccion',telefono='$telefono',email='$email',imagen='$imagen', licenciadelicor='$licenciadelicor' WHERE idempresa='$idempresa'";
	return ejecutarConsulta($sql);
}

public function editar_venta($idempresa_venta,$idempresa1,$nrofactura,$nrocontrol,$nropedido,$nronotacredito,$nrocontrolnotacredito,$nronotaentrega,$nrocontrolnotaentrega,$nronotaentrega2,$nrocontrolnotaentrega2,$idusuario,$idusuario2){
	$sql="UPDATE empresa_venta SET idempresa='$idempresa1',nrofactura='$nrofactura',nrocontrol='$nrocontrol',idusuario='$idusuario',idusuario2='$idusuario2',
	nropedido='$nropedido',nronotacredito='$nronotacredito',nrocontrolnotacredito='$nrocontrolnotacredito',nronotaentrega='$nronotaentrega',nrocontrolnotaentrega='$nrocontrolnotaentrega',nronotaentrega2='$nronotaentrega2',nrocontrolnotaentrega2='$nrocontrolnotaentrega2'
	WHERE idempresa_venta='$idempresa_venta'";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function editar_tasacambio($idempresa_tasacambio,$idempresa2,$tasa_dollar,$tasa_euro){
	$sql="UPDATE empresa_tasacambio SET idempresa='$idempresa2',tasa_dollar='$tasa_dollar',tasa_euro='$tasa_euro'
	WHERE idempresa_tasacambio='$idempresa_tasacambio'";
	return ejecutarConsulta($sql);
}

//paisdeorigen
public function editar__datosadicionales($idempresa_datosadicionales,$idempresa5,$paisdeorigen){
	if ($paisdeorigen==''){
		$paisdeorigen='no';
	}
	$sql="UPDATE empresa_datosadicionales SET idempresa='$idempresa5',paisdeorigen='$paisdeorigen'
	WHERE idempresa_datosadicionales='$idempresa_datosadicionales'";
	return ejecutarConsulta($sql);
}


public function editar_impuesto($idempresa_impuesto,$idempresa3,$iva,$aduanero,$impuestoart18,$porcentajeprecio){
	$sql="UPDATE empresa_impuestos SET idempresa='$idempresa3',iva='$iva',aduanero='$aduanero',impuestoart18='$impuestoart18',porcentajeprecio='$porcentajeprecio'
	WHERE idempresa_impuesto='$idempresa_impuesto'";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function ActualizarPrecio($tasa_dollar){
	$sql="UPDATE articulo SET precio=preciod*$tasa_dollar, preciopvp=preciopvpd*$tasa_dollar";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function ActualizarCosto($tasa_dollar){
	$sql="UPDATE articulo SET costo=costod*$tasa_dollar";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function ActualizarArt18($tasa_dollar){
	$sql="UPDATE articulo SET impuestoart18=impuestoart18d*$tasa_dollar";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function ActualizarTodo($tasa_dollar){
	$sql="UPDATE articulo SET precio=preciod*$tasa_dollar, preciopvp=preciopvpd*$tasa_dollar, costo=costod*$tasa_dollar, impuestoart18=impuestoart18d*$tasa_dollar";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function desactivar($idempresa){
	$sql="UPDATE empresa SET condicion='0' WHERE idempresa='$idempresa'";
	return ejecutarConsulta($sql);
}
public function activar($idempresa){
	$sql="UPDATE empresa SET condicion='1' WHERE idempresa='$idempresa'";
	return ejecutarConsulta($sql);
}

//metodo para buscar un empresa
public function buscarempresa(){
	$sql="SELECT a.idempresa,a.nombre,a.tipo_documento,a.num_documento,a.direccion,a.telefono,a.email,a.imagen, b.idempresa_venta,b.nrofactura,b.nrocontrol, t.idempresa_tasacambio, t.tasa_dollar, t.tasa_euro, i.idempresa_impuesto, i.iva, i.aduanero, i.impuestoart18,i.porcentajeprecio,d.paisdeorigen,a.licenciadelicor FROM empresa a LEFT OUTER JOIN empresa_venta b ON a.idempresa=b.idempresa LEFT OUTER JOIN empresa_tasacambio t ON a.idempresa=t.idempresa LEFT OUTER JOIN empresa_impuestos i ON a.idempresa=i.idempresa LEFT OUTER JOIN empresa_datosadicionales d ON a.idempresa=d.idempresa WHERE a.condicion='1'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idempresa){
	$sql="SELECT a.idempresa,a.nombre,a.tipo_documento,a.num_documento,a.direccion,a.telefono,a.email,a.imagen,b.idempresa_venta,b.nrofactura,b.nrocontrol,b.nropedido,b.nronotacredito,b.nrocontrolnotacredito,b.nronotaentrega,b.nrocontrolnotaentrega,b.nronotaentrega2,b.nrocontrolnotaentrega2,b.idusuario,b.idusuario2,t.idempresa_tasacambio,t.tasa_dollar,t.tasa_euro,i.idempresa_impuesto,i.iva,i.aduanero,i.impuestoart18,i.porcentajeprecio,d.idempresa_datosadicionales,d.paisdeorigen,a.licenciadelicor FROM empresa a LEFT OUTER JOIN empresa_venta b ON a.idempresa=b.idempresa LEFT OUTER JOIN empresa_tasacambio t ON a.idempresa=t.idempresa LEFT OUTER JOIN empresa_impuestos i ON a.idempresa=i.idempresa LEFT OUTER JOIN empresa_datosadicionales d ON a.idempresa=d.idempresa WHERE a.idempresa='$idempresa'";
	return ejecutarConsultaSimpleFila($sql);
}

public function buscarNroFacturaControl($idempresa_venta){
	$sql="SELECT * FROM empresa_venta WHERE idempresa_venta='$idempresa_venta'";
	return ejecutarConsultaSimpleFila($sql);
}

public function buscarTasaDeCambio($idempresa_venta){
	$sql="SELECT * FROM empresa_tasacambio WHERE idempresa_tasacambio='$idempresa_venta'";
	return ejecutarConsultaSimpleFila($sql);
}

public function buscarusuariosucursal($idempresa_venta,$idusuario){
	$sql="SELECT * FROM empresa_venta WHERE idempresa_venta='$idempresa_venta' AND (idusuario='$idusuario' OR idusuario2='$idusuario') ";
	return ejecutarConsultaSimpleFila($sql);
}

public function buscarImpuestoArt18($idempresa_venta){
	$sql="SELECT * FROM empresa_impuestos WHERE idempresa_impuesto='$idempresa_venta'";
	return ejecutarConsultaSimpleFila($sql);
}

public function buscarempresa1(){
	$sql="SELECT a.idempresa,a.nombre,a.tipo_documento,a.num_documento,a.direccion,a.telefono,a.email,a.imagen, b.idempresa_venta,b.nrofactura,b.nrocontrol, t.idempresa_tasacambio, t.tasa_dollar, t.tasa_euro, i.idempresa_impuesto, i.iva, i.aduanero, i.impuestoart18,i.porcentajeprecio,d.paisdeorigen,a.licenciadelicor FROM empresa a LEFT OUTER JOIN empresa_venta b ON a.idempresa=b.idempresa LEFT OUTER JOIN empresa_tasacambio t ON a.idempresa=t.idempresa LEFT OUTER JOIN empresa_impuestos i ON a.idempresa=i.idempresa LEFT OUTER JOIN empresa_datosadicionales d ON a.idempresa=d.idempresa WHERE a.condicion='1'";
	return ejecutarConsultaSimpleFila($sql);
}


public function ActualizarNroFacturaControl($idempresa_venta,$nrofactura,$nrocontrol){
	$sql="UPDATE empresa_venta SET nrofactura='$nrofactura',nrocontrol='$nrocontrol'
	WHERE idempresa_venta='$idempresa_venta'";
	return ejecutarConsulta($sql);
}

public function mostrar_venta($idempresa){
	$sql="SELECT * FROM empresa_venta WHERE idempresa='$idempresa'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM empresa";
	return ejecutarConsulta($sql);
}



}

 ?>
